#include <windows.h>
#include <stdio.h>

DWORD GetCpuCount() 
{
	// Struktura sa osnovim podacima o sistemu.
	SYSTEM_INFO siSysInfo;

	// Dohvati podatke o aktuelnom sistemu. 
	GetSystemInfo(&siSysInfo); 

	// Prikazi sve podatke. 
	printf("Hardware information: \n");  
	printf("  OEM ID: %u\n", siSysInfo.dwOemId);
	printf("  Number of processors: %u\n", siSysInfo.dwNumberOfProcessors); 
	printf("  Page size: %u\n", siSysInfo.dwPageSize); 
	printf("  Processor type: %u\n", siSysInfo.dwProcessorType); 
	printf("  Minimum application address: %lx\n", siSysInfo.lpMinimumApplicationAddress); 
	printf("  Maximum application address: %lx\n", siSysInfo.lpMaximumApplicationAddress); 
	printf("  Active processor mask: %u\n", siSysInfo.dwActiveProcessorMask); 

	return siSysInfo.dwNumberOfProcessors;
}

int main(int argc, char *argv[])
{
	DWORD cpuCount = GetCpuCount();
	
	printf("Rezultat (ujedno broj procesora u ovom racunaru): %d\n", cpuCount);
}
